3v4l.org

run code in 150+ php & hhvm versions
Bugs & Features
<?php class FooException extends Exception {} function foo() { throw new FooException(); } function bar() { try { foo(); } catch (Exception $e) { throw $e; } } bar();
Output for 7.0.0 - 7.1.0
Fatal error: Uncaught FooException in /in/QSpja:6 Stack trace: #0 /in/QSpja(11): foo() #1 /in/QSpja(17): bar() #2 {main} thrown in /in/QSpja on line 6
Process exited with code 255.
Output for 5.0.0 - 5.0.2, 5.0.5 - 5.6.28
Fatal error: Uncaught exception 'FooException' in /in/QSpja:6 Stack trace: #0 /in/QSpja(11): foo() #1 /in/QSpja(17): bar() #2 {main} thrown in /in/QSpja on line 6
Process exited with code 255.
Output for 5.0.3 - 5.0.4
Fatal error: Uncaught exception 'FooException' in /in/QSpja:6 Stack trace: #0 /in/QSpja(6): foo() #1 /in/QSpja(11): foo() #2 /in/QSpja(17): bar() #3 {main} thrown in /in/QSpja on line 6
Process exited with code 255.
Output for 4.4.2 - 4.4.9
Parse error: syntax error, unexpected T_NEW in /in/QSpja on line 6
Process exited with code 255.
Output for 4.3.0 - 4.3.1, 4.3.5 - 4.4.1
Parse error: parse error, unexpected T_NEW in /in/QSpja on line 6
Process exited with code 255.
Output for 4.3.2 - 4.3.4
Parse error: parse error in /in/QSpja on line 6
Process exited with code 255.